# DescribeDomainSpeedLimit

## 1. API Description

This interface is used to query the speed limit configuration of an accelerated domain name.

## 2. Request Parameters

The following request parameter list includes only the necessary parameters for the interface

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| domainId       | Yes      | String | Accelerated domain Id |

## 3. Output Parameters

| Parameter Name | Type                                                                            | Description                                                                                 |
| -------------- | ------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| requestId      | String                                                                          | Unique request ID, returned with each request. Provide this requestId when locating issues. |
| speedLimit     | [SpeedLimitInfo](/api-reference/networking/cdn/datastructure.md#speedlimitinfo) | Speed limit configuration                                                                   |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the speed limit configuration of the accelerated domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribeDomainSpeedLimit
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}


Response:
{
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "speedLimit": {
            "enable": true,
            "limit": 20971520
        }
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                         | Description                                                       |
| ---------------- | ---------------------------------- | ----------------------------------------------------------------- |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND        | The specified accelerated domain does not exist.                  |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION  | Operation denied due to lack of permission.                       |
| 400              | INVALID\_SPEED\_LIMIT\_SIZE\_EMPTY | When enabling rate limiting, the rate limit size cannot be empty. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/describedomainspeedlimit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
